Перейти к содержимому

Автоматизация функционального тестирования
онлайн, начало 3 июля
Автоматизатор мобильных приложений
онлайн, начало 8 июля
Тестирование безопасности
онлайн, начало 8 июля
Автоматизация тестов для REST API при помощи Postman
онлайн, начало 9 июля
Фотография

Не работает Selenium в Python

Selenium pethon webdriver chrome

  • Авторизуйтесь для ответа в теме
Сообщений в теме: 5

#1 babkinav13

babkinav13

    Новый участник

  • Members
  • Pip
  • 4 сообщений

Отправлено 18 октября 2016 - 15:56

Здравствуйте!
Нужна помощь в работе Selenium

Создаю стандартный скрипт:
from selenium import webdriver
driver = webdriver.Firefox()
driver.get("http://www.python.org“)

а выдает ошибку:
Traceback (most recent call last):
File ”C:\Python35-32\lib\site-packages\selenium\webdriver\common\service.py“, line 64, in start
stdout=self.log_file, stderr=self.log_file)
File ”C:\Python35-32\lib\subprocess.py“, line 947, in __init__
restore_signals, start_new_session)
File ”C:\Python35-32\lib\subprocess.py", line 1224, in _execute_child
startupinfo)
FileNotFoundError: Не удается найти указанный файл

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Python35-32/PycharmProjects/untitled/selenium1.py”, line 3, in <module>
driver = webdriver.Firefox()
File “C:\Python35-32\lib\site-packages\selenium\webdriver\firefox\webdriver.py”, line 135, in __init__
self.service.start()
File “C:\Python35-32\lib\site-packages\selenium\webdriver\common\service.py”, line 71, in start
os.path.basename(self.path), self.start_error_message)
selenium.common.exceptions.WebDriverException: Message: ‘geckodriver’ executable needs to be in PATH.

Exception ignored in: <bound method Service.__del__ of <selenium.webdriver.firefox.service.Service object at 0x00ABA3D0>>
Traceback (most recent call last):
File “C:\Python35-32\lib\site-packages\selenium\webdriver\common\service.py”, line 163, in __del__
self.stop()
File “C:\Python35-32\lib\site-packages\selenium\webdriver\common\service.py”, line 135, in stop
if self.process is None:
AttributeError: ‘Service’ object has no attribute ‘process’


Что может быть не так?


  • 0

#2 VinnieJohns

VinnieJohns

    Активный участник

  • Members
  • PipPip
  • 112 сообщений
  • ФИО:Дмитрий Новиков


Отправлено 18 октября 2016 - 16:13

"‘geckodriver’ executable needs to be in PATH." - наверное, в этом причина. 

 

http://barancev.github.io/geckodriver/ - вот тут можете глянуть. 


  • 0

#3 babkinav13

babkinav13

    Новый участник

  • Members
  • Pip
  • 4 сообщений

Отправлено 18 октября 2016 - 17:22

"‘geckodriver’ executable needs to be in PATH." - наверное, в этом причина. 

 

http://barancev.github.io/geckodriver/ - вот тут можете глянуть. 

после установки geckodriver

 

выдает следующее:

 

Traceback (most recent call last):
  File "<pyshell#1>", line 1, in <module>
    g=webdriver.Firefox()
  File "C:\Python35-32\lib\site-packages\selenium\webdriver\firefox\webdriver.py", line 145, in __init__
    keep_alive=True)
  File "C:\Python35-32\lib\site-packages\selenium\webdriver\remote\webdriver.py", line 92, in __init__
    self.start_session(desired_capabilities, browser_profile)
  File "C:\Python35-32\lib\site-packages\selenium\webdriver\remote\webdriver.py", line 179, in start_session
    response = self.execute(Command.NEW_SESSION, capabilities)
  File "C:\Python35-32\lib\site-packages\selenium\webdriver\remote\webdriver.py", line 236, in execute
    self.error_handler.check_response(response)
  File "C:\Python35-32\lib\site-packages\selenium\webdriver\remote\errorhandler.py", line 192, in check_response
    raise exception_class(message, screen, stacktrace)
selenium.common.exceptions.WebDriverException: Message: Expected browser binary location, but unable to find binary in default location, no 'moz:firefoxOptions.binary' capability provided, and no binary flag set on the command line
 


  • 0

#4 babkinav13

babkinav13

    Новый участник

  • Members
  • Pip
  • 4 сообщений

Отправлено 18 октября 2016 - 17:23

Пробовал и другие браузеры возникает аналогичная ситуация как с Firefox


  • 0

#5 automator

automator

    Новый участник

  • Members
  • Pip
  • 1 сообщений

Отправлено 19 октября 2016 - 13:45

Добавьте путь к FF (например, c:\Program Files (x86)\Mozilla Firefox\) в переменную окружения PATH


  • 0

#6 babkinav13

babkinav13

    Новый участник

  • Members
  • Pip
  • 4 сообщений

Отправлено 22 октября 2016 - 06:19

Добавьте путь к FF (например, c:\Program Files (x86)\Mozilla Firefox\) в переменную окружения PATH

какой файл и где нужно прописать путь?

подскажите, пожалуйста


  • 0


Программирование на С# для тестировщиков
онлайн
Автоматизатор мобильных приложений
онлайн
Selenium WebDriver: полное руководство
онлайн
Программирование на Python для тестировщиков
онлайн




Темы с аналогичным тегами Selenium, pethon, webdriver, chrome

Количество пользователей, читающих эту тему: 0

0 пользователей, 0 гостей, 0 анонимных

Яндекс.Метрика
Реклама на портале